## GimpProcBrowserDialog GimpProcBrowserDialog — The dialog for the procedure and plugin browsers. |

## Functions

GtkWidget * | gimp_proc_browser_dialog_new ()
gchar * | gimp_proc_browser_dialog_get_selected ()

## Signals

void | row-activated | Run Last
void | selection-changed | Run Last

## Types and Values

| GimpProcBrowserDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkWindow
                                ╰── GtkDialog
                                    ╰── GimpDialog
                                        ╰── GimpProcBrowserDialog

## Implemented Interfaces

GimpProcBrowserDialog implements AtkImplementorIface and GtkBuildable.

## Description

The dialog for the procedure and plugin browsers.

## Functions

### gimp_proc_browser_dialog_new ()

    GtkWidget *
    gimp_proc_browser_dialog_new (const gchar *title,
                                  const gchar *role,
                                  GimpHelpFunc help_func,
                                  const gchar *help_id,
                                  ...);

Create a new GimpProcBrowserDialog.

#### Parameters

title | The dialog's title. |
role | The dialog's role, see `gtk_window_set_role()`. |
help_func | The function which will be called if the user presses "F1". |
help_id | The help_id which will be passed to `help_func` . |
... | A `NULL`-terminated list destribing the action_area buttons. |

#### Returns

a newly created GimpProcBrowserDialog.

Since: 2.4

### gimp_proc_browser_dialog_get_selected ()

    gchar *
    gimp_proc_browser_dialog_get_selected (GimpProcBrowserDialog *dialog);

Retrieves the name of the currently selected procedure.

#### Parameters

dialog | a GimpProcBrowserDialog |

#### Returns

The name of the selected procedure of `NULL` if no procedure is selected.

Since: 2.4

## Types and Values

### GimpProcBrowserDialog

    typedef struct _GimpProcBrowserDialog GimpProcBrowserDialog;

## Signal Details

### The `“row-activated”` signal

    void
    user_function (GimpProcBrowserDialog *dialog,
                   gpointer               user_data)

Emitted when one of the rows in the contained GtkTreeView is activated.

#### Parameters

dialog | the object that received the signal |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“selection-changed”` signal

    void
    user_function (GimpProcBrowserDialog *dialog,
                   gpointer               user_data)

Emitted when the selection in the contained GtkTreeView changes.

#### Parameters

dialog | the object that received the signal |
user_data | user data set when the signal handler was connected. |

Flags: Run Last